SDG
Entities

Entities SDG Documents

Get sdg documents for one entity

GET
https://api.textreveal.com/v3/entities/{entity_id}/sdg/documents

Request

Parameters

  • entity_id*uuid

    Permanent ID of the entity

    Example: "753c48d6-23c8-5fb0-9230-b099898452b5"
  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • search_afterstring

    search_after field value from the previous page

  • scoreinteger (operator)

    Intensity score

    You can input an integer or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), in, nin (not in), between

    Range: [1, 5]
  • extract_datedate (operator)

    Extraction date of the document

    You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), between

    Example: "between:2022-01-01;2022-01-02"
  • category(string (enum))[]
    Values: "SDG:1", "SDG:2", "SDG:3", "SDG:4", "SDG:5", "SDG:6", "SDG:7", "SDG:8", "SDG:9", "SDG:10", "SDG:11", "SDG:12", "SDG:13", "SDG:14", "SDG:15", "SDG:16", "SDG:17"
  • orderfield:direction[]

    Order to apply to the result.

    Possible fields are: score, extract_date.

    Possible directions are: asc and desc.

    You can specify multiples values.

    Default: [score:desc, extract_date:desc]Array length: [1, 2]Example: "score:desc"
  • fields(string (enum))[]

    Fields to include in the response

    Default: ["id", "categories", "country", "cluster_size", "entity_keywords", "entity_id", "url", "extract_date", "dashboard_url", "language", "negative", "neutral", "positive", "polarity", "score", "site_type", "taxonomy_keywords", "title", "datamarts_document_id", "is_high_authority_source", "translated_title"]Values: "id", "categories", "country", "cluster_size", "entity_keywords", "entity_id", "url", "extract_date", "dashboard_url", "language", "negative", "neutral", "positive", "polarity", "score", "site_type", "taxonomy_keywords", "title", "d... 
  • translatelanguage-code (enum)

    In which language to translate the results.

    Default translated fields are: title.

    If empty, translated_ fields won't be returned.

    Example: french

    Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"... 

Response

Response - 200

Properties of the documents.

  • data*object[]

    Properties of the documents

  • size*integer

    Number of records per page requested.

    Example: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Example: 1
  • search_after*string | null

    Cursor for next page.

Response
{
  "data": [
    {
      "id": "48b8c6bd-471a-423b-87f3-9c287da32967",
      "categories": [
        "SDG:1"
      ],
      "country": "fr",
      "cluster_size": 1,
      "entity_keywords": [
        "keyword"
      ],
      "entity_id": "00000000-0000-0000-0000-000000000000",
      "url": "https://domain.com/article#anchor",
      "extract_date": "2025-10-06T04:55:21.713Z",
      "dashboard_url": "https://dashboards.textreveal.com/positive-impact-event/48b8c6bd-471a-423b-87f3-9c287da32967",
      "language": "fre",
      "negative": 0.01,
      "neutral": 0.2,
      "positive": 0.8,
      "polarity": 0.78765434,
      "score": 2,
      "site_type": "news",
      "taxonomy_keywords": [
        "sustainability"
      ],
      "title": "string",
      "datamarts_document_id": "5e81c3cfab411d53ea4dcb045548d2a89ea9526f09b75b036f3f6c92e9edd9aa",
      "is_high_authority_source": true,
      "translated_title": null
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "search_after": "string"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number

    Error code.

    Example: 400
  • reason*string

    Error reason.

    Example: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number

    Error code.

    Example: 401
  • reason*string

    Error reason.

    Example: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 402

Payment required

  • message*string

    Error message.

    Example: "Your account does not have access to this entity. Contact SESAMm sales for more information."
  • code*number

    Error code.

    Example: 402
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Your account does not have access to this entity. Contact SESAMm sales for more information.",
  "code": 402,
  "reason": "forbidden"
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "Missing required permissions to perform this action."
  • code*number

    Error code.

    Example: 403
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Missing required permissions to perform this action.",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested entity does not exist or is not visible to your company."
  • code*number

    Error code.

    Example: 404
  • reason*string

    Error reason.

    Example: "not_found"
Response
{
  "message": "The requested entity does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Error - 405

Method not allowed

  • message*string

    Error message.

    Example: "Method Not Allowed"
  • code*number

    Error code.

    Example: 405
  • reason*string

    Error reason.

    Example: "invalid"
Response
{
  "message": "Method Not Allowed",
  "code": 405,
  "reason": "invalid"
}

Generic errors are not shown, see Errors for more details.